summaryrefslogtreecommitdiff
path: root/source4
diff options
context:
space:
mode:
Diffstat (limited to 'source4')
-rwxr-xr-xsource4/autogen.sh3
-rw-r--r--source4/script/installwebapps.sh27
-rw-r--r--source4/web_server/http.c2
3 files changed, 17 insertions, 15 deletions
diff --git a/source4/autogen.sh b/source4/autogen.sh
index a88e5577c4..8d842a9cb5 100755
--- a/source4/autogen.sh
+++ b/source4/autogen.sh
@@ -63,6 +63,9 @@ $AUTOCONF $IPATHS || exit 1
rm -rf autom4te*.cache
+echo "$0: building Web Application Framework (SWAT)"
+make -C ../webapps/swat distclean build || exit 1
+
echo "Now run ./configure and then make."
exit 0
diff --git a/source4/script/installwebapps.sh b/source4/script/installwebapps.sh
index c763d6b089..25a43dba24 100644
--- a/source4/script/installwebapps.sh
+++ b/source4/script/installwebapps.sh
@@ -6,7 +6,9 @@ SRCDIR=$2
echo Installing web application files in $WEBAPPSDIR
cd $SRCDIR/../webapps/swat || exit 1
-make build || exit 1
+
+# building the web application framework is now done by autogen.sh
+#make build || exit 1
mkdir -p $WEBAPPSDIR || exit 1
@@ -21,26 +23,23 @@ installdir() {
}
# install our web application
-cd build
+cd build || exit 1
installdir `find . -type f -print`
-cd ..
-
-# install all .esp files (there are none in the webapp build dir)
-installdir `find . -name '*.esp'`
-# install .js and .esp files from the scripting dir
-cd ..
+# install files from the 'scripting', 'style' and 'images' directories
+cd ../.. || exit 1
installdir `find scripting -name '*.js'`
installdir `find scripting -name '*.esp'`
-
-# install .css files from the style dir
installdir `find style -name '*.css'`
+installdir `find images -name '*.png'`
+installdir `find images -name '*.gif'`
+installdir `find images -name '*.ico'`
-# install files from the images dir
-installdir `find images -type f -print`
+# install the old installation scripts, since there's no replacement yet
+installdir `find install -name '*.esp'`
-# install the login script, for authentication of static pages
-installdir `find . -name 'login.esp'`
+# install top-level scripts
+installdir index.esp login.esp logout.esp menu.js
cat << EOF
======================================================================
diff --git a/source4/web_server/http.c b/source4/web_server/http.c
index 83bc38dbc0..3e89f084b3 100644
--- a/source4/web_server/http.c
+++ b/source4/web_server/http.c
@@ -126,7 +126,7 @@ static const char *http_local_path(struct websrv_context *web,
if (path == NULL) return NULL;
if (directory_exist(path)) {
- path = talloc_asprintf_append(path, "/index.html");
+ path = talloc_asprintf_append(path, "/index.esp");
}
return path;
}